org.thewonderlemming.c4plantuml.syntaxchecker

## Class SyntaxCheckerErrorListener

- java.lang.Object
- - org.antlr.v4.runtime.BaseErrorListener
  - - org.thewonderlemming.c4plantuml.syntaxchecker.SyntaxCheckerErrorListener

- All Implemented Interfaces:
    org.antlr.v4.runtime.ANTLRErrorListener

      public class SyntaxCheckerErrorListener
      extends org.antlr.v4.runtime.BaseErrorListener

  An ANTLR4 `BaseErrorListener` implementation to check files for syntax errors and to report them to a given `Reporter`.
  Author:
    thewonderlemming

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntaxCheckerErrorListener(org.thewonderlemming.c4plantuml.commons.Reporter reporter, Path filepath)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `syntaxError(org.antlr.v4.runtime.Recognizer<?,?> recognizer, Object offendingSymbol, int line, int charPositionInLine, String msg, org.antlr.v4.runtime.RecognitionException exception)`

    - ### Methods inherited from class org.antlr.v4.runtime.BaseErrorListener

      `reportAmbiguity, reportAttemptingFullContext, reportContextSensitivity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyntaxCheckerErrorListener

          public SyntaxCheckerErrorListener(org.thewonderlemming.c4plantuml.commons.Reporter reporter,
                                            Path filepath)

      Default constructor.
      Parameters:
        `reporter` - the `Reporter` to report errors to.
        `filepath` - the source file to parse.

  - ### Method Detail

    - #### syntaxError

          public void syntaxError(org.antlr.v4.runtime.Recognizer<?,?> recognizer,
                                  Object offendingSymbol,
                                  int line,
                                  int charPositionInLine,
                                  String msg,
                                  org.antlr.v4.runtime.RecognitionException exception)

      Specified by:
        `syntaxError` in interface `org.antlr.v4.runtime.ANTLRErrorListener`
      Overrides:
        `syntaxError` in class `org.antlr.v4.runtime.BaseErrorListener`

Copyright © 2020. All rights reserved.